個人的に使うアプリでも、PHPがVer5.2以上でないと動かないものも出てきたので、そろそろということでVer5.1.6→5.2.6にバージョンアップしました。
サーバー停止時間はありません。
また、これに伴いphp-gdライブラリなども更新されています。

私がテストした限りでは既存アプリに特に影響は出ていませんが、念のため自サイトの確認をお願いします。